## ukui-panel 2.0.0

=== CMakeLists.txt ===
﻿cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(ukui-panel)


option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
option(WITH_SCREENSAVER_FALLBACK "Include support for converting the deprecated 'screensaver' plugin to 'quicklaunch'. This requires the ukui-leave (ukui-session) to be installed in runtime." OFF)
# plugin-mainmenu
option(USE_MENU_CACHE "Use menu-cached (no noticable penalty even on a 2004 single core pentium if not used)" OFF)



# additional cmake files
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

macro(setByDefault VAR_NAME VAR_VALUE)
  if(NOT DEFINED ${VAR_NAME})
    set (${VAR_NAME} ${VAR_VALUE})
  endif(NOT DEFINED ${VAR_NAME})
endmacro()

include(GNUInstallDirs)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

set(REQUIRED_QT_VERSION "5.7.1")
set(KF5_MINIMUM_VERSION "5.36.0")
set(UKUI_MINIMUM_VERSION "0.14.1")
set(QTXDG_MINIMUM_VERSION "3.3.1")
set(QT_MINIMUM_VERSION "5.7.1")

find_package(Qt5DBus ${REQUIRED_QT_VERSION} REQUIRED)
find_package(Qt5LinguistTools ${REQUIRED_QT_VERSION} REQUIRED)
find_package(Qt5Widgets ${REQUIRED_QT_VERSION} REQUIRED)
find_package(Qt5X11Extras ${REQUIRED_QT_VERSION} REQUIRED)
find_package(Qt5Xml ${REQUIRED_QT_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_MINIMUM_VERSION} REQUIRED)
#find_package(ukui ${UKUI_MINIMUM_VERSION} REQUIRED)
#find_package(ukui-globalkeys ${UKUI_MINIMUM_VERSION} REQUIRED)
#find_package(ukui-globalkeys-ui ${UKUI_MINIMUM_VERSION} REQUIRED)
find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Widgets DBus X11Extras LinguistTools)
find_package(Qt5Xdg ${QTXDG_MINIMUM_VERSION} REQUIRED)
find_package(X11 REQUIRED)

# Patch Version
set(UKUI_VERSION 3.0)
set(UKUI_PANEL_PATCH_VERSION 0)
set(UKUI_MAJOR_VERSION 3)
set(UKUI_MINOR_VERSION 0)

set(UKUI_TRANSLATIONS_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/ukui/translations/")
set(UKUI_PANEL_VERSION ${UKUI_MAJOR_VERSION}.${UKUI_MINOR_VERSION}.${UKUI_PANEL_PATCH_VERSION})
add_definitions("-DUKUI_PANEL_VERSION=\"${UKUI_PANEL_VERSION}\"")

include(./cmake/ukui-build-tools/modules/UKUiPreventInSourceBuilds.cmake)
#include(./cmake/ukui-build-tools/modules/UKUiTranslate.cmake)

# All UKUiCompilerSettings except CMAKE_MODULE_LINKER_FLAGS work just fine
# So we reset only these Flags after loading UKUiCompilerSettings
# ukui-build-tools:
#  set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined ${SYMBOLIC_FLAGS} ${CMAKE_MODULE_LINKER_FLAGS}")
message(STATUS "==OLD== CMAKE_MODULE_LINKER_FLAGS: ${CMAKE_MODULE_LINKER_FLAGS}")
set( OLD_CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS}")
#include(UKUiCompilerSettings NO_POLICY_SCOPE)
set(CMAKE_MODULE_LINKER_FLAGS "${OLD_CMAKE_MODULE_LINKER_FLAGS} ${SYMBOLIC_FLAGS}")

# Warning: This must be before add_subdirectory(panel). Move with caution.
set(PLUGIN_DIR "${CMAKE_INSTALL_FULL_LIBDIR}/ukui-panel")
add_definitions(
    -DPLUGIN_DIR=\"${PLUGIN_DIR}\"
)
#Add PACKAGE_DATA_DIR
set(PACKAGE_DATA_DIR "/usr/share/ukui-panel")
add_definitions(
    -DPACKAGE_DATA_DIR=\"${PACKAGE_DATA_DIR}\"
)

message(STATUS "CMAKE Module linker flags: ${CMAKE_MODULE_LINKER_FLAGS}")
message(STATUS "Panel plugins location: ${PLUGIN_DIR}")

#########################################################################
# Plugin system
# You can enable/disable building of the plugin using cmake options.
#    cmake -DWORLDCLOCK_PLUGIN=Yes .. # Enable worldclock plugin
#    cmake -DWORLDCLOCK_PLUGIN=No ..  # Disable worldclock plugin

include("cmake/BuildPlugin.cmake")
#include(./cmake/ukui-build-tools/modules/UKUiTranslateDesktop.cmake)
include(./cmake/ukui-build-tools/modules/UKUiTranslateDesktop.cmake)
#include(./cmake/ukui-build-tools/modules/UKUiTranslationLoader.cmake)
include(./cmake/ukui-build-tools/modules/UKUiTranslationLoader.cmake)
set(ENABLED_PLUGINS) # list of enabled plugins
set(STATIC_PLUGINS) # list of statically linked plugins


#setByDefault(DESKTOPSWITCH_PLUGIN Yes)
if(DESKTOPSWITCH_PLUGIN)
    list(APPEND STATIC_PLUGINS "desktopswitch")
    add_definitions(-DWITH_DESKTOPSWITCH_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Desktop Switcher")
    add_subdirectory(plugin-desktopswitch)
endif()


#setByDefault(MAINMENU_PLUGIN Yes)
if(MAINMENU_PLUGIN)
    list(APPEND STATIC_PLUGINS "mainmenu")
    add_definitions(-DWITH_MAINMENU_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Application menu")
    add_subdirectory(plugin-mainmenu)
endif()

#setByDefault(MOUNT_PLUGIN Yes)
if(MOUNT_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Mount")
    add_subdirectory(plugin-mount)
endif(MOUNT_PLUGIN)

setByDefault(QUICKLAUNCH_PLUGIN Yes)
if(QUICKLAUNCH_PLUGIN)
    list(APPEND STATIC_PLUGINS "quicklaunch")
    add_definitions(-DWITH_QUICKLAUNCH_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Quicklaunch")
    add_subdirectory(plugin-quicklaunch)
endif()


setByDefault(SHOWDESKTOP_PLUGIN Yes)
if(SHOWDESKTOP_PLUGIN)
    list(APPEND STATIC_PLUGINS "showdesktop")
    add_definitions(-DWITH_SHOWDESKTOP_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Show Desktop")
    add_subdirectory(plugin-showdesktop)
endif()


setByDefault(TASKBAR_PLUGIN Yes)
if(TASKBAR_PLUGIN)
  list(APPEND STATIC_PLUGINS "taskbar")
  add_definitions(-DWITH_TASKBAR_PLUGIN)
  list(APPEND ENABLED_PLUGINS "Taskbar")
  add_subdirectory(plugin-taskbar)
endif()


setByDefault(TRAY_PLUGIN Yes)
if(TRAY_PLUGIN)
    list(APPEND STATIC_PLUGINS "tray")
    add_definitions(-DWITH_TRAY_PLUGIN)
    list(APPEND ENABLED_PLUGINS "System Tray")
    add_subdirectory(plugin-tray)
endif()

#setByDefault(VOLUME_PLUGIN Yes)
setByDefault(VOLUME_USE_PULSEAUDIO Yes)
setByDefault(VOLUME_USE_ALSA Yes)
if(VOLUME_PLUGIN)
    if (VOLUME_USE_PULSEAUDIO)
        find_package(PulseAudio)
        if (NOT PULSEAUDIO_FOUND)
            message(FATAL_ERROR "PulseAudio not found, but required (VOLUME_USE_PULSEAUDIO) for Volume plugin!")
        endif ()
    endif(VOLUME_USE_PULSEAUDIO)

    if(VOLUME_USE_ALSA)
        find_package(ALSA)
        if (NOT ALSA_FOUND)
            message(FATAL_ERROR "ALSA not found, but required (VOLUME_USE_ALSA) for Volume plugin!")
        endif ()
    endif()

    list(APPEND ENABLED_PLUGINS   "Volume")
    message(STATUS "")
    message(STATUS "Volume plugin will be built")
    message(STATUS "    ALSA: ${ALSA_FOUND}")
    message(STATUS "    PulseAudio: ${PULSEAUDIO_FOUND}")
    message(STATUS "")
    add_subdirectory(plugin-volume)
endif()


setByDefault(SPACER_PLUGIN Yes)
if(SPACER_PLUGIN)
    list(APPEND STATIC_PLUGINS "spacer")
    add_definitions(-DWITH_SPACER_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Spacer")
    add_subdirectory(plugin-spacer)
endif()

setByDefault(CALENDAR_PLUGIN Yes)
if(CALENDAR_PLUGIN)
#   list(APPEND STATIC_PLUGINS "calendar")
#    add_definitions(-DWITH_CALENDAR_PLUGIN)
    list(APPEND ENABLED_PLUGINS "calendar")
    add_subdirectory(plugin-calendar)
endif(CALENDAR_PLUGIN)

setByDefault(STARTMENU_PLUGIN Yes)
if(STARTMENU_PLUGIN)
#    list(APPEND STATIC_PLUGINS "startmenu")
#    add_definitions(-DWITH_STARTMENU_PLUGIN)
    list(APPEND ENABLED_PLUGINS "startmenu")
    add_subdirectory(plugin-startmenu)
endif(STARTMENU_PLUGIN)

setByDefault(POWERSWITCH_PLUGIN Yes)
if(POWERSWITCH_PLUGIN)
#    list(APPEND STATIC_PLUGINS "powerswitch")
#    add_definitions(-DWITH_POWERSWITCH_PLUGIN)
    list(APPEND ENABLED_PLUGINS "powerswitch")
    add_subdirectory(plugin-powerswitch)
endif(POWERSWITCH_PLUGIN)

setByDefault(TASKVIEW_PLUGIN Yes)
if(TASKVIEW_PLUGIN)
#    list(APPEND STATIC_PLUGINS "taskview")
#    add_definitions(-DWITH_TASKVIEW_PLUGIN)
    list(APPEND ENABLED_PLUGINS "taskview")
    add_subdirectory(plugin-taskview)
endif(TASKVIEW_PLUGIN)

setByDefault(SEGMENTATION_PLUGIN Yes)
if(SEGMENTATION_PLUGIN)
#    list(APPEND STATIC_PLUGINS "segmentation")
#    add_definitions(-DWITH_SEGMENTATION_PLUGIN)
    list(APPEND ENABLED_PLUGINS "segmentation")
    add_subdirectory(plugin-segmentation)
endif(SEGMENTATION_PLUGIN)

#setByDefault(PART_PLUGIN Yes)
if(PART_PLUGIN)
#    list(APPEND STATIC_PLUGINS "powerswitch")
#    add_definitions(-DWITH_POWERSWITCH_PLUGIN)
    list(APPEND ENABLED_PLUGINS "part")
    add_subdirectory(plugin-part)
endif(PART_PLUGIN)
#########################################################################

message(STATUS  "**************** The following plugins will be built ****************")
foreach (PLUGIN_STR ${ENABLED_PLUGINS})
    message(STATUS "  ${PLUGIN_STR}")
endforeach()
message(STATUS "*********************************************************************")

add_subdirectory(panel)

# merged from ukui-common
#add_subdirectory(autostart)
#add_subdirectory(menu)
file(GLOB_RECURSE QRC_SOURCE_FILES ${CMAKE_CURRENT_SOURCE_DIR}/*.qrc)

=== panel/CMakeLists.txt ===
set(PROJECT ukui-panel)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

add_subdirectory(common)

set(PRIV_HEADERS
    panelpluginsmodel.h
    windownotifier.h
    ukuipanel.h
    ukuipanelapplication.h
    ukuipanelapplication_p.h
    ukuipanellayout.h
    plugin.h
    pluginsettings_p.h
    ukuipanellimits.h
    popupmenu.h
    pluginmoveprocessor.h
    ukuipanelpluginconfigdialog.h
    config/configpaneldialog.h
    config/configpanelwidget.h
    config/configpluginswidget.h
    config/addplugindialog.h
)

# using UKUi namespace in the public headers.
set(PUB_HEADERS
    ukuipanelglobals.h
    pluginsettings.h
    iukuipanelplugin.h
    iukuipanel.h
    comm_func.h

    common/ukuihtmldelegate.h
    common/ukuisettings.h
    common/ukuiplugininfo.h
    #common/ukuipowermanager.h
    #common/ukuiscreensaver.h
    common/ukuiapplication.h
    common/ukuisingleapplication.h
    common/ukuitranslator.h
    common/ukuiprogramfinder.h

    common/configdialog/ukuiconfigdialog.h
    common/configdialog/ukuiconfigdialogcmdlineoptions.h
    common/configdialog/ukuipageselectwidget.h

    #common/ukuipower/ukuipower.h
    common/ukuinotification.h
    common/ukuiautostartentry.h
    common/ukuigridlayout.h
    common/ukuirotatedwidget.h
    common/ukuiglobals.h
    #common/ukuibacklight.h
)

set(SOURCES
    main.cpp
    panelpluginsmodel.cpp
    windownotifier.cpp
    ukuipanel.cpp
    ukuipanelapplication.cpp
    ukuipanellayout.cpp
    plugin.cpp
    pluginsettings.cpp
    popupmenu.cpp
    pluginmoveprocessor.cpp
    ukuipanelpluginconfigdialog.cpp
    config/configpaneldialog.cpp
    config/configpanelwidget.cpp
    config/configpluginswidget.cpp
    config/addplugindialog.cpp
    comm_func.cpp

    common/ukuihtmldelegate.cpp
    common/ukuiplugininfo.cpp
    #common/ukuipowermanager.cpp
    common/ukuisettings.cpp
    #common/ukuiscreensaver.cpp
    common/ukuiapplication.cpp
    common/ukuisingleapplication.cpp
    common/ukuitranslator.cpp
    common/ukuiprogramfinder.cpp

    common/configdialog/ukuiconfigdialog.cpp
    common/configdialog/ukuiconfigdialogcmdlineoptions.cpp
    common/configdialog/ukuipageselectwidget.cpp

    #common/ukuipower/ukuipower.cpp    
    #common/ukuipower/ukuipowerproviders.cpp
    common/ukuiautostartentry.cpp
    common/ukuinotification.cpp
    common/ukuigridlayout.cpp
    common/ukuirotatedwidget.cpp
    #common/ukuibacklight.cpp
    #common/ukuibacklight/virtual_backend.cpp
    #common/ukuibacklight/linux_backend/linuxbackend.cpp
)

set(UI
    config/configpanelwidget.ui
    config/configpluginswidget.ui
    config/addplugindialog.ui
    common/configdialog/ukuiconfigdialog.ui
)

#set(LIBRARIES
#    ukui
#)

file(GLOB CONFIG_FILES resources/*.conf resources/*.qss)
############################################

add_definitions(-DCOMPILE_UKUI_PANEL)

set(PLUGIN_DESKTOPS_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/ukui/${PROJECT}")
add_definitions(-DPLUGIN_DESKTOPS_DIR=\"${PLUGIN_DESKTOPS_DIR}\")

if (WITH_SCREENSAVER_FALLBACK)
    message(STATUS "Building with conversion of deprecated 'screensaver' plugin")
    add_definitions(-DWITH_SCREENSAVER_FALLBACK "-DUKUI_LOCK_DESKTOP=\"${CMAKE_INSTALL_FULL_DATAROOTDIR}/applications/ukui-lockscreen.desktop\"")
endif ()

project(${PROJECT})

set(QTX_LIBRARIES Qt5::Widgets Qt5::Xml Qt5::DBus)

 #Translations
#ukui_translate_ts(QM_FILES SOURCES
#    UPDATE_TRANSLATIONS
#        ${UPDATE_TRANSLATIONS}
#    SOURCES
#        ${PUB_HEADERS}
#        ${PRIV_HEADERS}
#        ${SOURCES}
#        ${UI}
#    INSTALL_DIR
#    "${UKUI_TRANSLATIONS_DIR}/${PROJECT_NAME}"
#)

ukui_app_translation_loader(SOURCES ${PROJECT_NAME})


QT5_ADD_DBUS_INTERFACE(DBUS_INTERFACE_SRCS
    common/dbus/org.freedesktop.Notifications.xml
    notifications_interface
)

QT5_ADD_DBUS_ADAPTOR(DBUS_ADAPTOR_SRCS
    common/dbus/org.ukui.SingleApplication.xml
    common/ukuisingleapplication.h UKUi::SingleApplication
)

set_property(SOURCE ${DBUS_INTERFACE_SRCS} ${DBUS_ADAPTOR_SRCS} PROPERTY SKIP_AUTOGEN ON)
list(APPEND SOURCES "${DBUS_INTERFACE_SRCS}" "${DBUS_ADAPTOR_SRCS}")




add_executable(${PROJECT}
    ${PUB_HEADERS}
    ${PRIV_HEADERS}
    ${QM_FILES}
    ${SOURCES}
    ${UI}
)
find_package(PkgConfig)
pkg_check_modules(GLIB2 REQUIRED glib-2.0)
pkg_check_modules(GIO2 REQUIRED gio-2.0)
pkg_check_modules(Gsetting REQUIRED gsettings-qt)
include_directories(${GLIB2_INCLUDE_DIRS})
include_directories(${GIO2_INCLUDE_DIRS})
include_directories(${Gsetting_INCLUDE_DIRS})
#ADD_DEFINITIONS(-DQT_NO_KEYWORDS)
target_link_libraries(${PROJECT}
    ${LIBRARIES}
    ${QTX_LIBRARIES}
    KF5::WindowSystem
    ${STATIC_PLUGINS}
    Qt5Xdg
    ${GLIB2_LIBRARIES}
    ${GIO2_LIBRARIES}
    ${Gsetting_LIBRARIES}
)


target_compile_definitions(${PROJECT}
    PRIVATE
        "UKUI_RELATIVE_SHARE_DIR=\"${UKUI_RELATIVE_SHARE_DIR}\""
        #"UKUI_SHARE_DIR=\"${UKUI_SHARE_DIR}\""
        "UKUI_RELATIVE_SHARE_TRANSLATIONS_DIR=\"${UKUI_RELATIVE_TRANSLATIONS_DIR}\""
        "UKUI_SHARE_TRANSLATIONS_DIR=\"${UKUI_TRANSLATIONS_DIR}\""
        "UKUI_GRAPHICS_DIR=\"${UKUI_GRAPHICS_DIR}\""
        #"UKUI_ETC_XDG_DIR=\"${UKUI_ETC_XDG_DIR}\""
        "UKUI_DATA_DIR=\"${UKUI_DATA_DIR}\""   
        "UKUI_INSTALL_PREFIX=\"${CMAKE_INSTALL_PREFIX}\""
        #"UKUI_VERSION=\"${UKUI_VERSION}\""
        #"COMPILE_LIBUKUI"
        #"QT_USE_QSTRINGBUILDER"
        #"QT_NO_CAST_FROM_ASCII"
        #"QT_NO_CAST_TO_ASCII"
        #"QT_NO_URL_CAST_FROM_STRING"
        #"QT_NO_CAST_FROM_BYTEARRAY"
        #"$<$<CONFIG:Release>:QT_NO_DEBUG_OUTPUT>"
        #"$<$<CONFIG:Release>:QT_NO_WARNING_OUTPUT>"
)


install(TARGETS ${PROJECT} RUNTIME DESTINATION bin)
install(FILES ${CONFIG_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/ukui)
install(FILES ${PUB_HEADERS} DESTINATION include/ukui)
install(FILES
    ../man/ukui-panel.1
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
    COMPONENT Runtime
)
install(FILES
    resources/ukui-panel.desktop
    DESTINATION "/etc/xdg/autostart/"
    COMPONENT Runtime
)

=== plugin-calendar/CMakeLists.txt ===
﻿
set(PLUGIN "calendar")

set(HEADERS
    ukuicalendar.h
    ukuiwebviewdialog.h
)

set(SOURCES
    ukuicalendar.cpp
    ukuiwebviewdialog.cpp
)

set(UIS
    ukuiwebviewdialog.ui
)

find_package(Qt5WebKit)
find_package(Qt5WebKitWidgets)
find_package(PkgConfig)
#configure_file(no_keywords link_pkgconfig)

pkg_check_modules(CALENDAR_DEPS REQUIRED glib-2.0)
include_directories(${CALENDAR_DEPS_INCLUDE_DIRS})

ADD_DEFINITIONS(-DQT_NO_KEYWORDS)
link_libraries(libQt5WebKitWidgets.so.5 libQt5WebKit.so.5 glib-2.0.so)
install(DIRECTORY html/
        DESTINATION ${PACKAGE_DATA_DIR}/plugin-calendar/html)
#file(GLOB HTML_FILES html/*)
#install(FILES HTML_FILES DESTINATION ${PACKAGE_DATA_DIR}/plugin/html)

install(DIRECTORY style/
        DESTINATION ${PACKAGE_DATA_DIR}/plugin-calendar/style)

#install(FILES ukui-calendar.rc calendar-button-bg.png
#        DESTINATION "${PACKAGE_DATA_DIR}/plugin-calendar")

#ADD_DEFINITIONS(-DQT_NO_KEYWORDS)
BUILD_UKUI_PLUGIN(${PLUGIN})

=== plugin-powerswitch/CMakeLists.txt ===
set(PLUGIN "powerswitch")

set(HEADERS
    powerswitch.h
)

set(SOURCES
    powerswitch.cpp
)

set(UIS
)
set(LIBRARIES
    Qt5Xdg
)

install(FILES
    img/powerswitch.svg
    DESTINATION "${PACKAGE_DATA_DIR}/plugin-powerswitch/img"
    COMPONENT Runtime
)
BUILD_UKUI_PLUGIN(${PLUGIN})

=== plugin-quicklaunch/CMakeLists.txt ===
set(PLUGIN "quicklaunch")

set(HEADERS
    ukuiquicklaunchplugin.h
    ukuiquicklaunch.h
    quicklaunchbutton.h
    quicklaunchaction.h
)

set(SOURCES
    ukuiquicklaunchplugin.cpp
    ukuiquicklaunch.cpp
    quicklaunchbutton.cpp
    quicklaunchaction.cpp
)

set(LIBRARIES
    Qt5Xdg
)

include_directories(
    ${UKUI_INCLUDE_DIRS}
    "${CMAKE_CURRENT_SOURCE_DIR}/../panel"
)

BUILD_UKUI_PLUGIN(${PLUGIN})

=== plugin-startmenu/CMakeLists.txt ===
set(PLUGIN "startmenu")

set(HEADERS
    startmenu.h
)

set(SOURCES
    startmenu.cpp
)

set(UIS
)

set(LIBRARIES
    Qt5Xdg
)

install(FILES
    img/startmenu.svg  img/taskview.svg img/ukui-panel_zh_CN.qm
    DESTINATION "${PACKAGE_DATA_DIR}/plugin-startmenu/img"
    COMPONENT Runtime
)
set(UKUI_TRANSLATIONS_DAT "/usr/local/share/")
file(GLOB UKUI_TRANSLATIONS_SOURCE ${UKUI_TRANSLATIONS_DAT}ukui/translations/ukui-panel/ukui-panel_zh_CN.qm )
BUILD_UKUI_PLUGIN(${PLUGIN})

=== plugin-taskbar/CMakeLists.txt ===
set(PLUGIN "taskbar")

set(HEADERS
    ukuitaskbar.h
    ukuitaskbutton.h
    ukuitaskbarconfiguration.h
    ukuitaskbarplugin.h
    ukuitaskgroup.h
    ukuigrouppopup.h
)

set(SOURCES
    ukuitaskbar.cpp
    ukuitaskbutton.cpp
    ukuitaskbarconfiguration.cpp
    ukuitaskbarplugin.cpp
    ukuitaskgroup.cpp
    ukuigrouppopup.cpp
)

set(UIS
    ukuitaskbarconfiguration.ui
)

set(LIBRARIES
    Qt5Xdg
    Qt5X11Extras
)
find_package(X11 REQUIRED)
#find_package(PkgConfig)
##configure_file(no_keywords link_pkgconfig)
#pkg_check_modules(TASKBAR_DEPS REQUIRED Qt5X11Extras)
#include_directories(${TASKBAR_DEPS_INCLUDE_DIRS})
#ADD_DEFINITIONS(-DQT_NO_KEYWORDS)
#link_libraries(libQt5X11Extras.so)

BUILD_UKUI_PLUGIN(${PLUGIN})

=== plugin-tray/CMakeLists.txt ===
set(PLUGIN "tray")

include(CheckLibraryExists)

#find_package(XCB REQUIRED COMPONENTS xcb xcb-util xcb-damage)
find_package(PkgConfig)

find_package(X11 REQUIRED)
find_package(Qt5X11Extras ${REQUIRED_QT_VERSION} REQUIRED)
pkg_check_modules(XCOMPOSITE REQUIRED xcomposite)
pkg_check_modules(XDAMAGE REQUIRED xdamage)
pkg_check_modules(XRENDER REQUIRED xrender)

set(HEADERS
    ukuitrayplugin.h
    ukuitray.h
    trayicon.h
    xfitman.h
)

set(SOURCES
    ukuitrayplugin.cpp
    ukuitray.cpp
    trayicon.cpp
    xfitman.cpp
)

set(LIBRARIES
    ${X11_LIBRARIES}
    ${XCOMPOSITE_LDFLAGS}
    ${XDAMAGE_LIBRARIES}
    ${XRENDER_LIBRARIES}
    ${XCB_LIBRARIES}
    Qt5X11Extras
)

BUILD_UKUI_PLUGIN(${PLUGIN})

=== tools/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(ukui-build-tools)

option(WITH_XDG_DIRS_FALLBACK "Use our XDG_CONFIG_DIRS fallback" ON)

set(UKUI_BUILD_TOOLS_MAJOR_VERSION 0)
set(UKUI_BUILD_TOOLS_MINOR_VERSION 6)
set(UKUI_BUILD_TOOLS_PATCH_VERSION 0)
set(UKUI_BUILD_TOOLS_VERSION ${UKUI_BUILD_TOOLS_MAJOR_VERSION}.${UKUI_BUILD_TOOLS_MINOR_VERSION}.${UKUI_BUILD_TOOLS_PATCH_VERSION})


# Check for needed versions
# We need at least Qt 5.7.1 and glib-2.0 >= 2.50 to build all UKUi parts
find_package(PkgConfig REQUIRED)
find_package(Qt5Core "5.7.1"  REQUIRED)
pkg_check_modules(GLIB2 glib-2.0>=2.50 REQUIRED)

include(CMakePackageConfigHelpers)
include(GNUInstallDirs) # Standard directories for installation
include(cmake/FindInstallConfigPath.cmake) # sets UKUI_ETC_XDG_DIR, if unset
include(cmake/modules/UKUiPreventInSourceBuilds.cmake)

#-----------------------------------------------------------------------------
# UKUI_DATA_DIR defaults to CMAKE_INSTALL_FULL_DATADIR. It's added to
#   XDG_DATA_DIRS by the startukui script
# Warning: Setting UKUI_DATA_DIR must be done after including GNUInstallDirs
#-----------------------------------------------------------------------------
if (NOT DEFINED UKUI_DATA_DIR)
    set(UKUI_DATA_DIR "${CMAKE_INSTALL_FULL_DATADIR}" CACHE PATH
        "UKUi base directory relative to which data files should be searched"
    )
endif()

set(UKUI_LIBRARY_NAME "ukui" CACHE STRING "ukui")
set(UKUI_RELATIVE_SHARE_DIR "${UKUI_LIBRARY_NAME}")
set(UKUI_SHARE_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/${UKUI_RELATIVE_SHARE_DIR}")
set(UKUI_RELATIVE_TRANSLATIONS_DIR "${UKUI_LIBRARY_NAME}/translations")
set(UKUI_TRANSLATIONS_DIR "${UKUI_SHARE_DIR}/translations")
set(UKUI_GRAPHICS_DIR "${UKUI_SHARE_DIR}/graphics")

file(GLOB toInstallFindModules
    "${PROJECT_SOURCE_DIR}/cmake/find-modules/*.cmake"
)

file(GLOB toInstallModules
    "${PROJECT_SOURCE_DIR}/cmake/modules/*.cmake"
    "${PROJECT_SOURCE_DIR}/cmake/modules/*.in"
)


#-----------------------------------------------------------------------------
# Superbuild mode
#-----------------------------------------------------------------------------
set(FIND_MODULES_INSTALL_DIR "${PROJECT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/ukui-build-tools/cmake/find-modules/")
set(MODULES_INSTALL_DIR "${PROJECT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/ukui-build-tools/cmake/modules/")

file(COPY
    ${toInstallFindModules}
    DESTINATION "${FIND_MODULES_INSTALL_DIR}"
)

file(COPY
    ${toInstallModules}
    DESTINATION "${MODULES_INSTALL_DIR}"
)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/ukui-build-tools-config.cmake.in"
    "${CMAKE_BINARY_DIR}/ukui-build-tools-config.cmake"
    INSTALL_DESTINATION "neverland"     # required, altough we don't install it
    PATH_VARS
        MODULES_INSTALL_DIR
        FIND_MODULES_INSTALL_DIR
)

configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/UKUiConfigVars.cmake.in"
    "${MODULES_INSTALL_DIR}/UKUiConfigVars.cmake"
    @ONLY
)


#-----------------------------------------------------------------------------
# Installable mode
#-----------------------------------------------------------------------------
set(CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_DATAROOTDIR}/cmake/ukui-build-tools/")
set(FIND_MODULES_INSTALL_DIR "${CMAKE_INSTALL_DATAROOTDIR}/cmake/ukui-build-tools/find-modules/")
set(MODULES_INSTALL_DIR "${CMAKE_INSTALL_DATAROOTDIR}/cmake/ukui-build-tools/modules/")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/ukui-build-tools-config.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/install/ukui-build-tools-config.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    PATH_VARS
        MODULES_INSTALL_DIR
        FIND_MODULES_INSTALL_DIR
)

configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/UKUiConfigVars.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/install/UKUiConfigVars.cmake"
    @ONLY
)

# The package version file is common to superbuild and installable mode
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/ukui-build-tools-config-version.cmake.in"
    "${CMAKE_BINARY_DIR}/ukui-build-tools-config-version.cmake"
    @ONLY
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/install/ukui-build-tools-config.cmake"
    "${CMAKE_BINARY_DIR}/ukui-build-tools-config-version.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(
    FILES ${toInstallFindModules}
    DESTINATION "${FIND_MODULES_INSTALL_DIR}"
)

install(
    FILES
        ${toInstallModules}
        "${CMAKE_CURRENT_BINARY_DIR}/install/UKUiConfigVars.cmake"
    DESTINATION
        "${MODULES_INSTALL_DIR}"
)

# Tools install
install(
    PROGRAMS
        "ukui-transupdate"
    DESTINATION
        "${CMAKE_INSTALL_BINDIR}")

## ukui-panel 1.1.3

=== debian/changelog ===
ukui-panel (1.1.3-0ubuntu1) bionic; urgency=medium

  * Fix the errors when click "Customize icons appear on the taskbar".
    (LP: #1755663)
  * Adjust the size of a new panel and other added icons. (LP: #1755690)
  * Fix the errors when check the "Lock the launcher". (LP: #1755684)
  * Get color value from ukui-blue theme and change the taskbar
    background settings.
  * Fix the error 'missing action Remove'
  * Fix the error 'g_signal_handlers_block_matched'
  * Fix the wrong icon size of window-list after resize panel.
  * Fix the segment error when set the hide/show in settings.
  * Remove some useless settings.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sun, 01 Apr 2018 15:54:53 +0800

ukui-panel (1.1.2-0ubuntu1) bionic; urgency=medium

  * Initial release. (LP: #1738976)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 29 Jan 2018 16:29:23 +0800

=== debian/control ===
Source: ukui-panel
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Kylin team <ukui@kylinos.cn>
Uploaders: quankang <quankang@kylinos.cn>,
           handsome_feng <jianfengli@ubuntukylin.com>,
Build-Depends: debhelper (>= 11),
               dpkg-dev (>= 1.16.1.1),
               gir1.2-freedesktop,
               gobject-introspection,
               gtk-doc-tools,
               intltool,
               libatk1.0-dev,
               libcairo2-dev,
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libdconf-dev,
               libgirepository1.0-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libice-dev,
               libmate-desktop-dev (>= 1.18),
               libukui-menu-dev (>= 1.0.0),
               libpango1.0-dev,
               librsvg2-dev,
               libsm-dev,
               libsoup2.4-dev,
               libwnck-3-dev,
               libx11-dev,
               libxau-dev,
               libxrandr-dev,
               lsb-release,
               mate-common (>= 1.18),
               yelp-tools,
Standards-Version: 4.1.3
Homepage: http://www.ukui.org/
Vcs-Git: https://github.com/ukui/ukui-panel.git
Vcs-Browser: https://github.com/ukui/ukui-panel

Package: ukui-panel
Architecture: any
Depends: libukui-panel-applet-4-1 (= ${binary:Version}),
         mate-desktop,
         ukui-menus,
         ukui-panel-common (= ${source:Version}),
         mate-polkit,
         menu-xdg,
         ${misc:Depends},
         ${shlibs:Depends},
Description: launcher and docking facility for UKUI
 The UKUI Panel is an essential part of the UKUI Desktop, providing
 toolbar-like “panels” which can be attached to the sides of your desktop.
 They are used to launch applications and embed a number of other
 functions, such as quick launch icons, the clock, the notification area,
 volume controls and the battery charge indicator, and utilities ranging
 from weather forecast to system monitoring.

Package: ukui-panel-common
Architecture: all
Depends: ${misc:Depends},
Description: launcher and docking facility for UKUI (common files)
 The UKUI Panel is an essential part of the UKUI Desktop, providing
 toolbar-like “panels” which can be attached to the sides of your desktop.
 They are used to launch applications and embed a number of other
 functions, such as quick launch icons, the clock, the notification area,
 volume controls and the battery charge indicator, and utilities ranging
 from weather forecast to system monitoring.
 .
 This package contains the architecture independent files.

Package: libukui-panel-applet-4-1
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Provides: libukui-panel-applet4-1,
          libukuipanelapplet,
Description: library for UKUI Panel applets
 The UKUI Panel is an essential part of the UKUI Desktop, providing
 toolbar-like “panels” which can be attached to the sides of your desktop.
 They are used to launch applications and embed a number of other
 functions, such as quick launch icons, the clock, the notification area,
 volume controls and the battery charge indicator, and utilities ranging
 from weather forecast to system monitoring.
 .
 This package contains the UKUI Panel applet library.

Package: libukui-panel-applet-dev
Section: libdevel
Architecture: any
Depends: libglib2.0-dev,
         libgtk-3-dev,
         libukui-panel-applet-4-1 (= ${binary:Version}),
         gir1.2-ukuipanelapplet-4.0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: libukuipanelapplet-dev,
Conflicts: libukuipanelapplet-dev,
Description: library for UKUI Panel applets (development files)
 The UKUI Panel is an essential part of the UKUI Desktop, providing
 toolbar-like “panels” which can be attached to the sides of your desktop.
 They are used to launch applications and embed a number of other
 functions, such as quick launch icons, the clock, the notification area,
 volume controls and the battery charge indicator, and utilities ranging
 from weather forecast to system monitoring.
 .
 This package contains the development files of the UKUI panel applet
 library.

Package: libukui-panel-applet-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Provides: libukuipanelapplet-doc,
Conflicts: libukuipanelapplet-doc,
Description: library for UKUI Panel applets (documentation files)
 The UKUI Panel is an essential part of the UKUI Desktop, providing
 toolbar-like “panels” which can be attached to the sides of your desktop.
 They are used to launch applications and embed a number of other
 functions, such as quick launch icons, the clock, the notification area,
 volume controls and the battery charge indicator, and utilities ranging
 from weather forecast to system monitoring.
 .
 This package contains the documentation files of the UKUI panel applet
 library.

Package: gir1.2-ukuipanelapplet-4.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
Description: GObject introspection data for UKUI panel
 The UKUI Panel is an essential part of the UKUI Desktop, providing
 toolbar-like “panels” which can be attached to the sides of your desktop.
 They are used to launch applications and embed a number of other
 functions, such as quick launch icons, the clock, the notification area,
 volume controls and the battery charge indicator, and utilities ranging
 from weather forecast to system monitoring.
 .
 This package contains introspection data for UKUI panel.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with gir  --without autoreconf

override_dh_missing:
	dh_missing --fail-missing

override_dh_install:
	rm -f debian/tmp/usr/lib/*/*.la
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_configure:
	# upstream tarball is without configure. autogen.sh will create it
	NOCONFIGURE=1 ./autogen.sh
	dh_auto_configure -- \
		--disable-silent-rules \
		--localstatedir=/var \
		--libexecdir=/usr/lib/ukui-panel \
		--disable-static \
		--enable-introspection \
		--enable-gtk-doc

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ukui-panel-$1\.tar\.gz/ \
  https://github.com/ukui/ukui-panel/releases .*/v?(\d\S+)\.tar\.gz

## ukui-panel 1.1.4

=== debian/changelog ===
ukui-panel (1.1.4-1) unstable; urgency=medium

  * Initial release. (Closes: #903943)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 17 Jul 2018 11:15:52 +0800

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: ukui-panel
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kylin team <ukui@kylinos.cn>
-Uploaders: quankang <quankang@kylinos.cn>,
+Maintainer: Kylin Team <team+kylin@tracker.debian.org>
+Uploaders: Aron Xu <aron@debian.org>,
            handsome_feng <jianfengli@ubuntukylin.com>,
 Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.16.1.1),
@@ -33,7 +32,7 @@
                lsb-release,
                mate-common (>= 1.18),
                yelp-tools,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: http://www.ukui.org/
 Vcs-Git: https://github.com/ukui/ukui-panel.git
 Vcs-Browser: https://github.com/ukui/ukui-panel
@@ -46,6 +45,7 @@
          ukui-panel-common (= ${source:Version}),
          mate-polkit,
          menu-xdg,
+         gnome-system-monitor,
          ${misc:Depends},
          ${shlibs:Depends},
 Description: launcher and docking facility for UKUI

## ukui-panel 1.1.5

=== debian/changelog ===
ukui-panel (1.1.5-1) unstable; urgency=medium

  * Update es.po, fr.po, pt.po, ru.po.
  * Update the theme when system theme changes.
  * Fix the bug that window-list disappears accidentally.
  * Fix the bug that the icon stuck after multiple clicks.
  * Fix the bug that can't move the applet to the right of window-list.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 27 Dec 2018 20:12:06 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kylin Team <team+kylin@tracker.debian.org>
 Uploaders: Aron Xu <aron@debian.org>,
            handsome_feng <jianfengli@ubuntukylin.com>,
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
                dpkg-dev (>= 1.16.1.1),
                gir1.2-freedesktop,
                gobject-introspection,
@@ -32,7 +32,7 @@
                lsb-release,
                mate-common (>= 1.18),
                yelp-tools,
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Homepage: http://www.ukui.org/
 Vcs-Git: https://github.com/ukui/ukui-panel.git
 Vcs-Browser: https://github.com/ukui/ukui-panel
@@ -43,7 +43,7 @@
          mate-desktop,
          ukui-menus,
          ukui-panel-common (= ${source:Version}),
-         mate-polkit,
+         ukui-polkit | mate-polkit,
          menu-xdg,
          gnome-system-monitor,
          ${misc:Depends},
@@ -58,6 +58,7 @@
 
 Package: ukui-panel-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
 Description: launcher and docking facility for UKUI (common files)
  The UKUI Panel is an essential part of the UKUI Desktop, providing
@@ -72,6 +73,7 @@
 Package: libukui-panel-applet-4-1
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Provides: libukui-panel-applet4-1,
@@ -89,6 +91,7 @@
 Package: libukui-panel-applet-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libglib2.0-dev,
          libgtk-3-dev,
          libukui-panel-applet-4-1 (= ${binary:Version}),
@@ -111,6 +114,7 @@
 Package: libukui-panel-applet-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
 Provides: libukuipanelapplet-doc,
 Conflicts: libukuipanelapplet-doc,
@@ -128,6 +132,7 @@
 Package: gir1.2-ukuipanelapplet-4.0
 Section: introspection
 Architecture: any
+Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends},

## ukui-panel 1.1.6

=== debian/changelog ===
ukui-panel (1.1.6-1) unstable; urgency=medium

  * Change the default grouping type of window-list.
  * Fix that window-list disappears after multi restart.
  * Update the copyright.
  * debian/control:
    - Bump standards-version to 4.4.0.
    - Drop mate-polkit.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 07 Aug 2019 11:25:09 +0800

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                lsb-release,
                mate-common (>= 1.18),
                yelp-tools,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://www.ukui.org/
 Vcs-Git: https://github.com/ukui/ukui-panel.git
 Vcs-Browser: https://github.com/ukui/ukui-panel
@@ -43,7 +43,7 @@
          mate-desktop,
          ukui-menus,
          ukui-panel-common (= ${source:Version}),
-         ukui-polkit | mate-polkit,
+         ukui-polkit,
          menu-xdg,
          gnome-system-monitor,
          ${misc:Depends},

## ukui-panel 2.0.0

=== debian/changelog ===
ukui-panel (2.0.0-1) unstable; urgency=medium

  * New upstream release.
    - Migrate from gtk to qt.
  * Debian/{control,compat}:
    - Use debhelper-compat notation.
    - Bump standards-version to 4.5.0.
    - Set Rules-Requires-Root to no.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sun, 02 Feb 2020 14:07:37 +0800

=== debian/control ===
Source: ukui-panel
Section: x11
Priority: optional
Maintainer: kylin Team <team+kylin@tracker.debian.org>
Uploaders: Aron Xu <aron@debian.org>,
           handsome_feng <jianfengli@ubuntukylin.com>
Build-Depends: debhelper-compat (= 12),
               cmake,
               libasound2-dev,
               libdbusmenu-qt5-dev,
               libglib2.0-dev(>=2.36),
               libicu-dev,
               libkf5solid-dev,
               libkf5windowsystem-dev,
               libpulse-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libsensors4-dev [!hurd-any],
               libstatgrab-dev [linux-any],
               libsysstat-qt5-0-dev (>= 0.4.2),
               libx11-dev,
               libxcb-damage0-dev,
               libxcb-util0-dev,
               libxcb-xkb-dev,
               libxcomposite-dev,
               libxdamage-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               libqt5webkit5-dev,
               qttools5-dev,
               libqt5xdg-dev,
               libgsettings-qt-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://github.com/explorer-cs/ukui-panel
Vcs-Git: https://github.com/explorer-cs/ukui-panel
Homepage: https://github.com/ukui/ukui-panel

Package: ukui-panel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: ukui-indicators
Description: ukui desktop panel
 The ukui desktop panel is used on ukui desktop and has some plugins like
 starmenu, quicklaunch and other useful tools.
 .
 This package contains the ukui panel.
